Skip to main content
GET
/
api
/
collections
/
{id}
/
assets
/
cURL
curl --request GET \
  --url https://{server}/api/collections/{id}/assets/ \
  --cookie sessionid=
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "owner_type": "<string>",
    "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "owner_name": "<string>",
    "creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "current_content": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "allocation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "storage_path": "<string>",
      "size_bytes": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "extracted_metadata": null,
      "data_type": "<string>",
      "data_type_confidence": 123,
      "extraction_error": "<string>",
      "extraction_attempted_at": "2023-11-07T05:31:56Z",
      "files": "<unknown>"
    },
    "creator_name": "<string>",
    "effective_flags": 123,
    "preferred_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_migrating": true,
    "is_starred": true,
    "description": "<string>",
    "alias": "<string>",
    "tags": [
      "<string>"
    ],
    "metadata": "<unknown>",
    "is_locked": true
  }
]

Authorizations

sessionid
string
cookie
required

Path Parameters

id
string<uuid>
required

Query Parameters

cursor
string

Opaque cursor from a previous page response.

limit
integer

Max assets to return. Default 100, max 1000.

Response

200 - application/json
id
string<uuid>
required
read-only
title
string
required
Maximum string length: 255
owner_type
string
required
read-only
owner_id
string<uuid>
required
read-only
owner_name
string | null
required
read-only
creator_id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
current_content
object
required
creator_name
string | null
required
read-only
effective_flags
integer
required
read-only
preferred_repository_id
string<uuid> | null
required
read-only
is_migrating
boolean
required
read-only
is_starred
boolean
required
read-only
description
string
alias
string
Maximum string length: 255
tags
string[]
Maximum string length: 100
metadata
any
is_locked
boolean